Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » M2M (model-to-model transformation) » [ATL] MagicDraw and ATL
[ATL] MagicDraw and ATL [message #75107] Mon, 18 February 2008 20:58 Go to next message
neto Mising name is currently offline neto Mising nameFriend
Messages: 33
Registered: July 2009
Member
Hi,

i m trying to implement a transformation from a UML model into another UML
model. To build the models i m using the MagicDraw 15. But when i export
the project as EMF UML (2.0 or 1.0) XMI, the file generated for project
isnt compatible with the UML metamodel:

http://dev.eclipse.org/viewcvs/index.cgi/org.eclipse.mdt/org .eclipse.uml2/plugins/org.eclipse.uml2.uml/model/?root=Model ing_Project

someone knows what i doing wrong?

thanks in advance.

Waldemar
Re: [ATL] MagicDraw and ATL [message #75123 is a reply to message #75107] Tue, 19 February 2008 15:59 Go to previous message
Felix Dorner is currently offline Felix DornerFriend
Messages: 676
Registered: July 2009
Senior Member
Hey Waldemar,

this is more a general UML2 question you'd better ask on the UML2
newsgroup. You just say that your exported file is incompatible but give
no specific error. I managed to export a simple model from the latest
MagicDraw community edition and it worked fine.

Felix

> To build the models i m using the MagicDraw 15. But when i
> export the project as EMF UML (2.0 or 1.0) XMI, the file generated for
> project isnt compatible with the UML metamodel:
>
> http://dev.eclipse.org/viewcvs/index.cgi/org.eclipse.mdt/org .eclipse.uml2/plugins/org.eclipse.uml2.uml/model/?root=Model ing_Project
Previous Topic:ATL:Transformation
Next Topic:[ATL] how to load Primitive Types
Goto Forum:
  


Current Time: Thu May 23 20:53:18 GMT 2019

Powered by FUDForum. Page generated in 0.02093 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top